import onnxruntime as ort
import numpy as np

#Dummy input image
img = np.random.randn(1, 3, 640, 640).astype(np.float32)

#Create sessions for each onnx graphs
bb = ort.InferenceSession('onnx/backbone.onnx')
neck = ort.InferenceSession('onnx/neck.onnx')
head = ort.InferenceSession('onnx/head.onnx')

#Run the onnx graphs one after another
out = bb.run(None, {'input':img})#Intermediate output
out = neck.run(None, {'in1':out[0], 'in2':out[1], 'in3':out[2]})#Intermediate output
bbox, cnf = head.run(None, {'in4':out[0], 'in5':out[1], 'in6':out[2]}) #Final output
